Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Geometry::Line Struct Reference

Defines a line by two vectors. More...

`#include <Geometry.h>`

Collaboration diagram for Geometry::Line:

[legend]
List of all members.

## Public Member Functions
| Line ()
| Line (Vector2< double > base, Vector2< double > direction)
| Line (Vector2< int > base, Vector2< double > direction)
| Line (Vector2< int > base, Vector2< int > direction)
| Line (double baseX, double baseY, double directionX, double directionY)
void | normalizeDirection ()
## Public Attributes
Vector2< double > | base
Vector2< double > | direction

## Detailed Description

Defines a line by two vectors.

Definition at line 39 of file Geometry.h.

## Constructor & Destructor Documentation

Geometry::Line::Line | ( |  | ) | `[inline]`

| Definition at line 44 of file Geometry.h.

Geometry::Line::Line | ( | Vector2< double > | base,
|  | Vector2< double > | direction
| ) | `[inline]`

| Definition at line 45 of file Geometry.h. References direction.

Geometry::Line::Line | ( | Vector2< int > | base,
|  | Vector2< double > | direction
| ) | `[inline]`

| Definition at line 50 of file Geometry.h. References direction, Vector2< V >::x, and Vector2< V >::y.

Geometry::Line::Line | ( | Vector2< int > | base,
|  | Vector2< int > | direction
| ) | `[inline]`

| Definition at line 57 of file Geometry.h. References direction, Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, and Vector2< V >::y.

Geometry::Line::Line | ( | double | baseX,
|  | double | baseY,
|  | double | directionX,
|  | double | directionY
| ) | `[inline]`

| Definition at line 66 of file Geometry.h. References base, direction, Vector2< double >::x, and Vector2< double >::y.

## Member Function Documentation

void Geometry::Line::normalizeDirection | ( |  | ) |

| Definition at line 36 of file Geometry.cpp. References direction, and sqr. Referenced by Geometry::calculateHorizon(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), GT2005ImageProcessor::pixelBelowHorizon(), VLCRobotSpecialist::scan(), and GT2005RobotSpecialist::scan().

## Member Data Documentation

Vector2<double> Geometry::Line::base

| Definition at line 41 of file Geometry.h. Referenced by VLCLineFinder_DeterministicApproach::addCenterCirclePercept(), GT2005LineFinder_DeterministicApproach::addCenterCirclePercept(), Geometry::calculateHorizon(), SlamGoalRecognizer::calculateScanLinesParallelToHorizon(), GoalRecognizer::calculateScanLinesParallelToHorizon(), GuideDogRobotSpecialist::calculateScanLinesParallelToHorizon(), Geometry::clipLineWithQuadrangle(), VLCImageProcessor::execute(), VLCBeaconDetector::execute(), SlamGoalRecognizer::execute(), SlamBeaconDetector::execute(), GuideDogRobotSpecialist::execute(), GT2005ImageProcessor::execute(), GT2005BeaconDetector::execute(), ObstaclesModel::getDistanceInCorridor(), SlamEdgeSpecialist::getEdgesPercept(), GT2005EdgeSpecialist::getEdgesPercept(), GoalRecognizer::getGoalPercept(), Geometry::getIntersectionPointsOfLineAndRectangle(), lineOnField::getLine(), VLCLineFinder_DeterministicApproach::handleCenterCircle(), GT2005LineFinder_DeterministicApproach::handleCenterCircle(), Line(), Geometry::SetOfPoints< V, maxNumberOfPoints >::linearRegression(), GT2005ImageProcessor::pixelBelowHorizon(), VLCRobotSpecialist::scan(), GT2005RobotSpecialist::scan(), VLCImageProcessor::scanColumns(), SlamImageProcessor::scanColumns(), GT2005ImageProcessor::scanColumns(), VLCBeaconDetector::scanForBeaconEdges(), SlamBeaconDetector::scanForBeaconEdges(), GT2005BeaconDetector::scanForBeaconEdges(), VLCImageProcessor::scanRows(), SlamImageProcessor::scanRows(), GT2005ImageProcessor::scanRows(), VLCFlagSpecialist::searchFlags(), SlamFlagSpecialist::searchFlags(), and GT2005FlagSpecialist::searchFlags().

Vector2<double> Geometry::Line::direction

| Definition at line 42 of file Geometry.h. Referenced by VLCLineFinder_DeterministicApproach::addCenterCirclePercept(), GT2005LineFinder_DeterministicApproach::addCenterCirclePercept(), SlamBeaconDetector::analyzeBeacon(), VLCGoalRecognizer::analyzeGoal(), GT2005GoalRecognizer::analyzeGoal(), VLCGoalRecognizer::analyzeGoalpost(), GT2005GoalRecognizer::analyzeGoalpost(), Geometry::calculateHorizon(), SlamGoalRecognizer::calculateScanLinesParallelToHorizon(), GoalRecognizer::calculateScanLinesParallelToHorizon(), GuideDogRobotSpecialist::calculateScanLinesParallelToHorizon(), SlamBeaconDetector::characterizeNewFlag(), Geometry::clipLineWithQuadrangle(), VLCBeaconDetector::clusterPinkBeaconParts(), SlamBeaconDetector::clusterPinkBeaconParts(), GT2005BeaconDetector::clusterPinkBeaconParts(), VLCGoalRecognizer::detectFreePartOfGoal(), GT2005GoalRecognizer::detectFreePartOfGoal(), VLCGoalRecognizer::detectGreenBelowGoalpost(), GT2005GoalRecognizer::detectGreenBelowGoalpost(), VLCImageProcessor::execute(), VLCBeaconDetector::execute(), SlamImageProcessor::execute(), SlamGoalRecognizer::execute(), SlamBeaconDetector::execute(), GuideDogRobotSpecialist::execute(), GT2005ImageProcessor::execute(), GT2005BeaconDetector::execute(), VLCLineFinder_DeterministicApproach::findLines(), SlamBorderFinder::findLines(), GT2005LineFinder_DeterministicApproach::findLines(), SlamBeaconDetector::findSpecial(), ObstaclesModel::getDistanceInCorridor(), SlamEdgeSpecialist::getEdgesPercept(), GT2005EdgeSpecialist::getEdgesPercept(), GoalRecognizer::getGoalPercept(), Geometry::getIntersectionPointsOfLineAndRectangle(), lineOnField::getLine(), VLCLineFinder_DeterministicApproach::handleCenterCircle(), GT2005LineFinder_DeterministicApproach::handleCenterCircle(), Geometry::SetOfPoints< V, maxNumberOfPoints >::linearRegression(), GT2005ImageProcessor::pixelBelowHorizon(), VLCRobotSpecialist::scan(), GT2005RobotSpecialist::scan(), VLCImageProcessor::scanColumns(), SlamImageProcessor::scanColumns(), GT2005ImageProcessor::scanColumns(), VLCGoalRecognizer::scanCrossBar(), GT2005GoalRecognizer::scanCrossBar(), VLCBeaconDetector::scanForBeaconEdges(), SlamBeaconDetector::scanForBeaconEdges(), GT2005BeaconDetector::scanForBeaconEdges(), VLCImageProcessor::scanRows(), SlamImageProcessor::scanRows(), GT2005ImageProcessor::scanRows(), VLCFlagSpecialist::searchFlags(), SlamFlagSpecialist::searchFlags(), GT2005FlagSpecialist::searchFlags(), FieldDimensions::vectorToBorder(), and FieldDimensions::vectorToBorderIncludingGoals().

The documentation for this struct was generated from the following files:

- Tools/Math/Geometry.h
- Tools/Math/Geometry.cpp